<!DOCTYPE CrossStudio_Help_Definition_File>
<!--
// Rowley Integrated Development Environment
//
// Copyright (c) 2001, 2002 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
--><help>
 <contents>
  <content url="msp430_home.htm" >
   <contents>
    <content url="ide_preface_about_documentation.htm" />
    <content url="ide_preface_what_is_crossworks.htm" />
    <content url="ide_preface_whats_not_covered.htm" />
    <content url="ide_preface_text_conventions.htm" />
    <content url="ide_preface_support_and_problems.htm" />
   </contents>
  </content>
  <content quicklink="&amp;Tutorial" url="ide_tutorial.htm" >
   <content url="ide_creating_a_project.htm" />
   <content url="ide_editing_files.htm" />
   <content url="ide_building.htm" />
   <content url="ide_the_debugger.htm" />
   <include filename="../samples/samples.xml" />
  </content>
  <content title="CrossStudio Users Guide" quicklink="Cross&amp;Studio Users Guide" print="hide" >
   <content url="ide_binary_edit.htm" />
   <content url="ide_build_log_window.htm" />
   <content url="ide_code_edit.htm" >
    <content url="ide_code_edit_navigation.htm" />
    <content url="ide_code_edit_editing.htm" />
    <content url="ide_code_edit_files.htm" />
    <content url="ide_code_edit_find_and_replace.htm" />
    <content url="ide_code_edit_regular_expressions.htm" />
    <content url="ide_code_edit_advanced.htm" />
    <content url="ide_code_edit_commands.htm" />
   </content>
   <content title="Debugging Windows" print="hide" >
    <content url="ide_breakpoint_window.htm" />
    <content url="ide_calls_window.htm" />
    <content url="ide_debug_expressions.htm" />
    <content url="ide_execution_count_window.htm" />
    <content url="ide_globals_window.htm" />
    <content url="ide_locals_window.htm" />
    <content url="ide_memory_window.htm" />
    <content url="ide_register_window.htm" />
    <content url="ide_trace_window.htm" />
    <content url="ide_watch_window.htm" />
   </content>
   <content ctags="h3" url="ide_environment_options_dialog.htm" />
   <content ctags="h2" url="ide_help_window.htm" />
   <content url="ide_memory_map_edit.htm" />
   <content url="ide_output_window.htm" />
   <content url="ide_project_explorer.htm" />
   <content url="ide_project_system.htm" >
    <content url="ide_project_properties.htm" />
    <content url="ide_project_configurations.htm" />
    <content url="ide_project_dependencies.htm" />
    <content ctags="h2|h3" url="ide_property_help.htm" />
    <content url="ide_project_macros.htm" />
   </content>
   <content url="ide_properties_window.htm" />
   <content url="ide_section_placement.htm" />
   <content url="ide_symbols_window.htm" />
   <content ctags="h2" url="ide_targets_window.htm" >
    <content ctags="h2" url="msp430_target_interfaces.htm" />
   </content>
  </content>
  <content quicklink="&amp;Compiler Reference" url="hcc.htm" >
   <content title="Command line options" >
    <content url="hcc_option_define_macro.htm" />
    <content url="hcc_option_debug.htm" />
    <content url="hcc_option_include.htm" />
    <content url="hcc_option_sys_include.htm" />
    <content url="msp430_hcl_option_hardware_multiply.htm" />
    <content url="msp430_hcl_option_short_doubles.htm" />
    <content url="hcc_option_output_file.htm" />
    <content url="hcc_option_optimize.htm" />
    <content url="hcc_option_set_code_section_name.htm" />
    <content url="hcc_option_set_data_section_name.htm" />
    <content url="hcc_option_set_const_section_name.htm" />
    <content url="hcc_option_set_vector_section_name.htm" />
    <content url="hcc_option_set_zeroed_section_name.htm" />
    <content url="hcc_option_version.htm" />
    <content url="hcc_option_suppress_warnings.htm" />
    <content url="hcc_option_warnings_are_errors.htm" />
   </content>
   <content url="hcc_customizing_overview.htm" >
    <content url="hcc_floating_point_libraries.htm" />
    <content url="hcc_customizing_putchar.htm" />
   </content>
   <content url="hcc_pragma_reference.htm" >
    <content url="hcc_pragma_codeseg.htm" />
    <content url="hcc_pragma_dataseg.htm" />
    <content url="hcc_pragma_constseg.htm" />
    <content url="hcc_pragma_vectorseg.htm" />
    <content url="hcc_pragma_zeroedseg.htm" />
   </content>
   <content url="hcc_sections.htm" />
   <content url="hcc_preprocessor.htm" >
    <content url="hcc_preprocessor_predefined_symbols.htm" />
   </content>
   <content title="Assembly language interface" >
    <content url="msp430_hcc_data_types.htm" />
    <content url="msp430_hcc_naming_convention.htm" />
    <content url="msp430_hcc_calling_convention_registers.htm" />
    <content url="msp430_hcc_calling_convention_parameters.htm" />
    <content url="msp430_hcc_calling_convention_returns.htm" />
    <content url="msp430_hcc_calling_convention_examples.htm" />
   </content>
   <content title="Diagnostics" >
    <content url="hcc_preprocessor_warnings.htm" />
    <content url="hcc_preprocessor_errors.htm" />
    <content url="hcc_warnings.htm" />
    <content url="hcc_errors.htm" />
   </content>
  </content>
  <content quicklink="C &amp;Library Reference" url="hcc_libc.htm" >
   <content url="hcc_libc_assert_h.htm" >
    <content url="hcc_libc_assert.htm" />
   </content>
   <content url="hcc_libc_ctype_h.htm" >
    <content url="hcc_libc_isalnum.htm" />
    <content url="hcc_libc_isalpha.htm" />
    <content url="hcc_libc_isblank.htm" />
    <content url="hcc_libc_iscntrl.htm" />
    <content url="hcc_libc_isdigit.htm" />
    <content url="hcc_libc_isgraph.htm" />
    <content url="hcc_libc_islower.htm" />
    <content url="hcc_libc_isprint.htm" />
    <content url="hcc_libc_ispunct.htm" />
    <content url="hcc_libc_isspace.htm" />
    <content url="hcc_libc_isupper.htm" />
    <content url="hcc_libc_isxdigit.htm" />
    <content url="hcc_libc_tolower.htm" />
    <content url="hcc_libc_toupper.htm" />
   </content>
   <content url="hcc_libc_errno_h.htm" >
    <content url="hcc_libc_errno.htm" />
   </content>
   <content url="msp430_libc_in430_h.htm" >
    <content url="msp430_libc_bic_sr.htm" />
    <content url="msp430_libc_bic_sr_irq.htm" />
    <content url="msp430_libc_bis_sr.htm" />
    <content url="msp430_libc_bis_sr_irq.htm" />
    <content url="msp430_libc_dint.htm" />
    <content url="msp430_libc_eint.htm" />
    <content url="msp430_libc_lswpb.htm" />
    <content url="msp430_libc_lswpw.htm" />
    <content url="msp430_libc_nop.htm" />
    <content url="msp430_libc_opc.htm" />
    <content url="msp430_libc_swpb.htm" />
   </content>
   <content url="hcc_libc_math_h.htm" >
    <content url="hcc_libc_acos.htm" />
    <content url="hcc_libc_acosf.htm" />
    <content url="hcc_libc_acosh.htm" />
    <content url="hcc_libc_acoshf.htm" />
    <content url="hcc_libc_asin.htm" />
    <content url="hcc_libc_asinf.htm" />
    <content url="hcc_libc_asinh.htm" />
    <content url="hcc_libc_asinhf.htm" />
    <content url="hcc_libc_atan.htm" />
    <content url="hcc_libc_atan2.htm" />
    <content url="hcc_libc_atan2f.htm" />
    <content url="hcc_libc_atanf.htm" />
    <content url="hcc_libc_atanh.htm" />
    <content url="hcc_libc_atanhf.htm" />
    <content url="hcc_libc_cbrt.htm" />
    <content url="hcc_libc_cbrtf.htm" />
    <content url="hcc_libc_ceil.htm" />
    <content url="hcc_libc_ceilf.htm" />
    <content url="hcc_libc_cos.htm" />
    <content url="hcc_libc_cosf.htm" />
    <content url="hcc_libc_cosh.htm" />
    <content url="hcc_libc_coshf.htm" />
    <content url="hcc_libc_exp.htm" />
    <content url="hcc_libc_expf.htm" />
    <content url="hcc_libc_fabs.htm" />
    <content url="hcc_libc_fabsf.htm" />
    <content url="hcc_libc_floor.htm" />
    <content url="hcc_libc_floorf.htm" />
    <content url="hcc_libc_fmax.htm" />
    <content url="hcc_libc_fmaxf.htm" />
    <content url="hcc_libc_fmin.htm" />
    <content url="hcc_libc_fminf.htm" />
    <content url="hcc_libc_fmod.htm" />
    <content url="hcc_libc_fmodf.htm" />
    <content url="hcc_libc_frexp.htm" />
    <content url="hcc_libc_frexpf.htm" />
    <content url="hcc_libc_hypot.htm" />
    <content url="hcc_libc_hypotf.htm" />
    <content url="hcc_libc_isfinite.htm" />
    <content url="hcc_libc_isinf.htm" />
    <content url="hcc_libc_isnan.htm" />
    <content url="hcc_libc_ldexp.htm" />
    <content url="hcc_libc_ldexpf.htm" />
    <content url="hcc_libc_log.htm" />
    <content url="hcc_libc_log10.htm" />
    <content url="hcc_libc_log10f.htm" />
    <content url="hcc_libc_logf.htm" />
    <content url="hcc_libc_modf.htm" />
    <content url="hcc_libc_modff.htm" />
    <content url="hcc_libc_pow.htm" />
    <content url="hcc_libc_powf.htm" />
    <content url="hcc_libc_scalbn.htm" />
    <content url="hcc_libc_scalbnf.htm" />
    <content url="hcc_libc_sin.htm" />
    <content url="hcc_libc_sinf.htm" />
    <content url="hcc_libc_sinh.htm" />
    <content url="hcc_libc_sinhf.htm" />
    <content url="hcc_libc_sqrt.htm" />
    <content url="hcc_libc_sqrtf.htm" />
    <content url="hcc_libc_tan.htm" />
    <content url="hcc_libc_tanf.htm" />
    <content url="hcc_libc_tanh.htm" />
    <content url="hcc_libc_tanhf.htm" />
   </content>
   <content url="hcc_libc_setjmp_h.htm" >
    <content url="hcc_libc_jmp_buf.htm" />
    <content url="hcc_libc_longjmp.htm" />
    <content url="hcc_libc_setjmp.htm" />
   </content>
   <content url="hcc_libc_stdarg_h.htm" >
    <content url="hcc_libc_va_arg.htm" />
    <content url="hcc_libc_va_copy.htm" />
    <content url="hcc_libc_va_end.htm" />
    <content url="hcc_libc_va_start.htm" />
   </content>
   <content url="hcc_libc_stdio_h.htm" >
    <content url="hcc_libc_printf.htm" />
    <content url="hcc_libc_snprintf.htm" />
    <content url="hcc_libc_sprintf.htm" />
   </content>
   <content url="hcc_libc_stdlib_h.htm" >
    <content url="hcc_libc_atoi.htm" />
    <content url="hcc_libc_atol.htm" />
    <content url="hcc_libc_atoll.htm" />
    <content url="hcc_libc_div.htm" />
    <content url="hcc_libc_div_t.htm" />
    <content url="hcc_libc_itoa.htm" />
    <content url="hcc_libc_ldiv.htm" />
    <content url="hcc_libc_ldiv_t.htm" />
    <content url="hcc_libc_lldiv.htm" />
    <content url="hcc_libc_lldiv_t.htm" />
    <content url="hcc_libc_lltoa.htm" />
    <content url="hcc_libc_ltoa.htm" />
    <content url="hcc_libc_rand.htm" />
    <content url="hcc_libc_rand_max.htm" />
    <content url="hcc_libc_srand.htm" />
    <content url="hcc_libc_strtol.htm" />
    <content url="hcc_libc_strtoll.htm" />
    <content url="hcc_libc_strtoul.htm" />
    <content url="hcc_libc_strtoull.htm" />
    <content url="hcc_libc_ulltoa.htm" />
    <content url="hcc_libc_ultoa.htm" />
    <content url="hcc_libc_utoa.htm" />
   </content>
   <content url="hcc_libc_string_h.htm" >
    <content url="hcc_libc_memchr.htm" />
    <content url="hcc_libc_memcmp.htm" />
    <content url="hcc_libc_memcpy.htm" />
    <content url="hcc_libc_memmove.htm" />
    <content url="hcc_libc_memset.htm" />
    <content url="hcc_libc_strcat.htm" />
    <content url="hcc_libc_strchr.htm" />
    <content url="hcc_libc_strcmp.htm" />
    <content url="hcc_libc_strcoll.htm" />
    <content url="hcc_libc_strcpy.htm" />
    <content url="hcc_libc_strcspn.htm" />
    <content url="hcc_libc_strerror.htm" />
    <content url="hcc_libc_strlen.htm" />
    <content url="hcc_libc_strncat.htm" />
    <content url="hcc_libc_strncmp.htm" />
    <content url="hcc_libc_strncpy.htm" />
    <content url="hcc_libc_strpbrk.htm" />
    <content url="hcc_libc_strrchr.htm" />
    <content url="hcc_libc_strspn.htm" />
    <content url="hcc_libc_strstr.htm" />
    <content url="hcc_libc_strtok.htm" />
   </content>
   <content url="hcc_libc_cross_studio_io_h.htm" >
    <content url="hcc_libc_debug_break.htm" />
    <content url="hcc_libc_debug_clearerr.htm" />
    <content url="hcc_libc_debug_fclose.htm" />
    <content url="hcc_libc_debug_feof.htm" />
    <content url="hcc_libc_debug_ferror.htm" />
    <content url="hcc_libc_debug_fflush.htm" />
    <content url="hcc_libc_debug_fgetc.htm" />
    <content url="hcc_libc_debug_fgets.htm" />
    <content url="hcc_libc_debug_filesize.htm" />
    <content url="hcc_libc_debug_fprintf.htm" />
    <content url="hcc_libc_debug_fputc.htm" />
    <content url="hcc_libc_debug_fputs.htm" />
    <content url="hcc_libc_debug_fread.htm" />
    <content url="hcc_libc_debug_fseek.htm" />
    <content url="hcc_libc_debug_ftell.htm" />
    <content url="hcc_libc_debug_fwrite.htm" />
    <content url="hcc_libc_debug_getchar.htm" />
    <content url="hcc_libc_debug_getd.htm" />
    <content url="hcc_libc_debug_getf.htm" />
    <content url="hcc_libc_debug_geti.htm" />
    <content url="hcc_libc_debug_getl.htm" />
    <content url="hcc_libc_debug_getll.htm" />
    <content url="hcc_libc_debug_gets.htm" />
    <content url="hcc_libc_debug_getu.htm" />
    <content url="hcc_libc_debug_getul.htm" />
    <content url="hcc_libc_debug_getull.htm" />
    <content url="hcc_libc_debug_open.htm" />
    <content url="hcc_libc_debug_printf.htm" />
    <content url="hcc_libc_debug_putchar.htm" />
    <content url="hcc_libc_debug_puts.htm" />
    <content url="hcc_libc_debug_rewind.htm" />
    <content url="hcc_libc_debug_runtime_error.htm" />
   </content>
   <content title="Function, variable, and macro index" print="no" >
    <content title="A-M" >
     <content url="msp430_libc_bic_sr.htm" />
     <content url="msp430_libc_bic_sr_irq.htm" />
     <content url="msp430_libc_bis_sr.htm" />
     <content url="msp430_libc_bis_sr_irq.htm" />
     <content url="msp430_libc_dint.htm" />
     <content url="msp430_libc_eint.htm" />
     <content url="msp430_libc_lswpb.htm" />
     <content url="msp430_libc_lswpw.htm" />
     <content url="msp430_libc_nop.htm" />
     <content url="msp430_libc_opc.htm" />
     <content url="msp430_libc_swpb.htm" />
     <content url="hcc_libc_assert.htm" />
     <content url="hcc_libc_atoi.htm" />
     <content url="hcc_libc_atol.htm" />
     <content url="hcc_libc_atoll.htm" />
     <content url="hcc_libc_acos.htm" />
     <content url="hcc_libc_acosf.htm" />
     <content url="hcc_libc_acosh.htm" />
     <content url="hcc_libc_acoshf.htm" />
     <content url="hcc_libc_asin.htm" />
     <content url="hcc_libc_asinf.htm" />
     <content url="hcc_libc_asinh.htm" />
     <content url="hcc_libc_asinhf.htm" />
     <content url="hcc_libc_atan.htm" />
     <content url="hcc_libc_atan2.htm" />
     <content url="hcc_libc_atan2f.htm" />
     <content url="hcc_libc_atanf.htm" />
     <content url="hcc_libc_atanh.htm" />
     <content url="hcc_libc_atanhf.htm" />
     <content url="hcc_libc_cbrt.htm" />
     <content url="hcc_libc_cbrtf.htm" />
     <content url="hcc_libc_ceil.htm" />
     <content url="hcc_libc_ceilf.htm" />
     <content url="hcc_libc_char_bit.htm" />
     <content url="hcc_libc_cos.htm" />
     <content url="hcc_libc_cosf.htm" />
     <content url="hcc_libc_cosh.htm" />
     <content url="hcc_libc_coshf.htm" />
     <content url="hcc_libc_debug_break.htm" />
     <content url="hcc_libc_debug_clearerr.htm" />
     <content url="hcc_libc_debug_fclose.htm" />
     <content url="hcc_libc_debug_feof.htm" />
     <content url="hcc_libc_debug_ferror.htm" />
     <content url="hcc_libc_debug_fflush.htm" />
     <content url="hcc_libc_debug_fgetc.htm" />
     <content url="hcc_libc_debug_fgets.htm" />
     <content url="hcc_libc_debug_filesize.htm" />
     <content url="hcc_libc_debug_fprintf.htm" />
     <content url="hcc_libc_debug_fputc.htm" />
     <content url="hcc_libc_debug_fputs.htm" />
     <content url="hcc_libc_debug_fread.htm" />
     <content url="hcc_libc_debug_fseek.htm" />
     <content url="hcc_libc_debug_ftell.htm" />
     <content url="hcc_libc_debug_fwrite.htm" />
     <content url="hcc_libc_debug_getchar.htm" />
     <content url="hcc_libc_debug_getd.htm" />
     <content url="hcc_libc_debug_getf.htm" />
     <content url="hcc_libc_debug_geti.htm" />
     <content url="hcc_libc_debug_getl.htm" />
     <content url="hcc_libc_debug_getll.htm" />
     <content url="hcc_libc_debug_gets.htm" />
     <content url="hcc_libc_debug_getu.htm" />
     <content url="hcc_libc_debug_getul.htm" />
     <content url="hcc_libc_debug_getull.htm" />
     <content url="hcc_libc_debug_open.htm" />
     <content url="hcc_libc_debug_printf.htm" />
     <content url="hcc_libc_debug_putchar.htm" />
     <content url="hcc_libc_debug_puts.htm" />
     <content url="hcc_libc_debug_rewind.htm" />
     <content url="hcc_libc_debug_runtime_error.htm" />
     <content url="hcc_libc_div.htm" />
     <content url="hcc_libc_div_t.htm" />
     <content url="hcc_libc_errno.htm" />
     <content url="hcc_libc_exp.htm" />
     <content url="hcc_libc_expf.htm" />
     <content url="hcc_libc_fabs.htm" />
     <content url="hcc_libc_fabsf.htm" />
     <content url="hcc_libc_floor.htm" />
     <content url="hcc_libc_floorf.htm" />
     <content url="hcc_libc_fmax.htm" />
     <content url="hcc_libc_fmaxf.htm" />
     <content url="hcc_libc_fmin.htm" />
     <content url="hcc_libc_fminf.htm" />
     <content url="hcc_libc_fmod.htm" />
     <content url="hcc_libc_fmodf.htm" />
     <content url="hcc_libc_frexp.htm" />
     <content url="hcc_libc_frexpf.htm" />
     <content url="hcc_libc_hypot.htm" />
     <content url="hcc_libc_hypotf.htm" />
     <content url="hcc_libc_int_max.htm" />
     <content url="hcc_libc_int_min.htm" />
     <content url="hcc_libc_isalnum.htm" />
     <content url="hcc_libc_isalpha.htm" />
     <content url="hcc_libc_isblank.htm" />
     <content url="hcc_libc_iscntrl.htm" />
     <content url="hcc_libc_isdigit.htm" />
     <content url="hcc_libc_isfinite.htm" />
     <content url="hcc_libc_isgraph.htm" />
     <content url="hcc_libc_isinf.htm" />
     <content url="hcc_libc_islower.htm" />
     <content url="hcc_libc_isnan.htm" />
     <content url="hcc_libc_isprint.htm" />
     <content url="hcc_libc_ispunct.htm" />
     <content url="hcc_libc_isspace.htm" />
     <content url="hcc_libc_isupper.htm" />
     <content url="hcc_libc_isxdigit.htm" />
     <content url="hcc_libc_itoa.htm" />
     <content url="hcc_libc_jmp_buf.htm" />
     <content url="hcc_libc_ldexp.htm" />
     <content url="hcc_libc_ldexpf.htm" />
     <content url="hcc_libc_ldiv.htm" />
     <content url="hcc_libc_ldiv_t.htm" />
     <content url="hcc_libc_lldiv.htm" />
     <content url="hcc_libc_lldiv_t.htm" />
     <content url="hcc_libc_llong_max.htm" />
     <content url="hcc_libc_llong_min.htm" />
     <content url="hcc_libc_lltoa.htm" />
     <content url="hcc_libc_log.htm" />
     <content url="hcc_libc_log10.htm" />
     <content url="hcc_libc_log10f.htm" />
     <content url="hcc_libc_logf.htm" />
     <content url="hcc_libc_longjmp.htm" />
     <content url="hcc_libc_ltoa.htm" />
     <content url="hcc_libc_long_max.htm" />
     <content url="hcc_libc_long_min.htm" />
     <content url="hcc_libc_memchr.htm" />
     <content url="hcc_libc_memcmp.htm" />
     <content url="hcc_libc_memcpy.htm" />
     <content url="hcc_libc_memmove.htm" />
     <content url="hcc_libc_memset.htm" />
     <content url="hcc_libc_modf.htm" />
     <content url="hcc_libc_modff.htm" />
    </content>
    <content title="N-Z" >
     <content url="hcc_libc_pow.htm" />
     <content url="hcc_libc_powf.htm" />
     <content url="hcc_libc_printf.htm" />
     <content url="hcc_libc_putchar.htm" />
     <content url="hcc_libc_puts.htm" />
     <content url="hcc_libc_rand.htm" />
     <content url="hcc_libc_rand_max.htm" />
     <content url="hcc_libc_scalbn.htm" />
     <content url="hcc_libc_scalbnf.htm" />
     <content url="hcc_libc_scanf.htm" />
     <content url="hcc_libc_schar_max.htm" />
     <content url="hcc_libc_schar_min.htm" />
     <content url="hcc_libc_setjmp.htm" />
     <content url="hcc_libc_shrt_max.htm" />
     <content url="hcc_libc_shrt_min.htm" />
     <content url="hcc_libc_sin.htm" />
     <content url="hcc_libc_sinf.htm" />
     <content url="hcc_libc_sinh.htm" />
     <content url="hcc_libc_sinhf.htm" />
     <content url="hcc_libc_snprintf.htm" />
     <content url="hcc_libc_sprintf.htm" />
     <content url="hcc_libc_sqrt.htm" />
     <content url="hcc_libc_sqrtf.htm" />
     <content url="hcc_libc_srand.htm" />
     <content url="hcc_libc_sscanf.htm" />
     <content url="hcc_libc_strcat.htm" />
     <content url="hcc_libc_strchr.htm" />
     <content url="hcc_libc_strcmp.htm" />
     <content url="hcc_libc_strcoll.htm" />
     <content url="hcc_libc_strcpy.htm" />
     <content url="hcc_libc_strcspn.htm" />
     <content url="hcc_libc_strerror.htm" />
     <content url="hcc_libc_strlen.htm" />
     <content url="hcc_libc_strncat.htm" />
     <content url="hcc_libc_strncmp.htm" />
     <content url="hcc_libc_strncpy.htm" />
     <content url="hcc_libc_strpbrk.htm" />
     <content url="hcc_libc_strrchr.htm" />
     <content url="hcc_libc_strspn.htm" />
     <content url="hcc_libc_strstr.htm" />
     <content url="hcc_libc_strtok.htm" />
     <content url="hcc_libc_strtol.htm" />
     <content url="hcc_libc_strtoll.htm" />
     <content url="hcc_libc_strtoul.htm" />
     <content url="hcc_libc_strtoull.htm" />
     <content url="hcc_libc_tan.htm" />
     <content url="hcc_libc_tanf.htm" />
     <content url="hcc_libc_tanh.htm" />
     <content url="hcc_libc_tanhf.htm" />
     <content url="hcc_libc_tolower.htm" />
     <content url="hcc_libc_toupper.htm" />
     <content url="hcc_libc_uchar_max.htm" />
     <content url="hcc_libc_uint_max.htm" />
     <content url="hcc_libc_ullong_max.htm" />
     <content url="hcc_libc_ulltoa.htm" />
     <content url="hcc_libc_ulong_max.htm" />
     <content url="hcc_libc_ultoa.htm" />
     <content url="hcc_libc_ushrt_max.htm" />
     <content url="hcc_libc_utoa.htm" />
     <content url="hcc_libc_va_arg.htm" />
     <content url="hcc_libc_va_copy.htm" />
     <content url="hcc_libc_va_end.htm" />
     <content url="hcc_libc_va_start.htm" />
    </content>
   </content>
  </content>
  <content quicklink="&amp;Assembler Reference" url="has.htm" >
   <content url="has_options.htm" >
    <content url="has_option_define_symbol.htm" />
    <content url="has_option_debug.htm" />
    <content url="has_option_include.htm" />
    <content url="has_option_sys_include.htm" />
    <content url="has_option_output_file.htm" />
    <content url="has_option_set_code_section_name.htm" />
    <content url="has_option_set_data_section_name.htm" />
    <content url="has_option_set_const_section_name.htm" />
    <content url="has_option_set_vector_section_name.htm" />
    <content url="has_option_set_zeroed_section_name.htm" />
    <content url="has_option_version.htm" />
    <content url="has_option_warnings_are_errors.htm" />
    <content url="has_option_suppress_warnings.htm" />
   </content>
   <content url="has_statement_format.htm" >
    <content url="has_comments.htm" />
   </content>
   <content url="has_defining_data.htm" >
    <content url="has_directive_align.htm" />
    <content url="has_directive_db.htm" />
    <content url="has_directive_dl.htm" />
    <content url="has_directive_dw.htm" />
    <content url="has_directive_even.htm" />
    <content url="has_directive_fill.htm" />
    <content url="has_directive_dsb.htm" />
    <content url="has_directive_dsw.htm" />
    <content url="has_directive_dsl.htm" />
    <content url="has_directive_dv.htm" />
    <content url="has_directive_includebin.htm" />
   </content>
   <content url="has_sections.htm" >
    <content url="has_directive_code.htm" />
    <content url="has_directive_const.htm" />
    <content url="has_directive_data.htm" />
    <content url="has_directive_vectors.htm" />
    <content url="has_directive_zdata.htm" />
    <content url="has_directive_keep.htm" />
   </content>
   <content title="Source control directives" >
    <content url="has_directive_include.htm" />
   </content>
   <content url="has_defining_sections.htm" />
   <content url="has_symbolic_constants.htm" />
   <content url="has_labels.htm" />
   <content url="has_data_types.htm" >
    <content url="has_built_in_types.htm" />
    <content url="has_structure_types.htm" />
    <content url="has_array_types.htm" />
    <content url="has_pointer_types.htm" />
    <content url="has_combining_types.htm" />
   </content>
   <content url="has_expressions.htm" >
    <content title="Constants" >
     <content url="has_integer_constants.htm" />
     <content url="has_string_constants.htm" />
    </content>
    <content url="has_operators_arithmetic.htm" >
     <content url="has_operator_add.htm" />
     <content url="has_operator_subtract.htm" />
     <content url="has_operator_multiply.htm" />
     <content url="has_operator_divide.htm" />
     <content url="has_operator_remainder.htm" />
     <content url="has_operator_shl.htm" />
     <content url="has_operator_shr.htm" />
     <content url="has_operator_ashr.htm" />
    </content>
    <content url="has_operators_logical.htm" >
     <content url="has_operator_land.htm" />
     <content url="has_operator_lnot.htm" />
     <content url="has_operator_lor.htm" />
    </content>
    <content url="has_operators_bitwise.htm" >
     <content url="has_operator_and.htm" />
     <content url="has_operator_not.htm" />
     <content url="has_operator_or.htm" />
     <content url="has_operator_xor.htm" />
    </content>
    <content url="has_operators_relational.htm" />
    <content title="Value extraction operators" >
     <content url="has_operator_high.htm" />
     <content url="has_operator_hword.htm" />
     <content url="has_operator_low.htm" />
     <content url="has_operator_lword.htm" />
    </content>
    <content title="Miscellaneous operators" >
     <content url="has_this_operator.htm" />
     <content url="has_defined_operator.htm" />
     <content url="has_sizeof_operator.htm" />
     <content url="has_index_operator.htm" />
     <content url="has_retype_operator.htm" />
    </content>
   </content>
   <content url="has_libraries.htm" >
    <content url="has_exporting_symbols.htm" />
    <content url="has_importing_symbols.htm" />
   </content>
   <content url="has_macros_conditions_loops.htm" >
    <content url="has_conditional_assembly.htm" />
    <content url="has_macros.htm" />
   </content>
  </content>
  <content title="Command Line Tools Reference" >
   <content url="hcl.htm" >
    <content url="hcl_file_naming_conventions.htm" />
    <content url="hcl_option_ansi_problems.htm" />
    <content url="hcl_option_archive_output.htm" />
    <content url="hcl_option_compile_only.htm" />
    <content url="hcl_option_define_macro.htm" />
    <content url="hcl_option_entry_symbol.htm" />
    <content url="hcl_option_output_format.htm" />
    <content url="hcl_option_debug.htm" />
    <content url="hcl_option_help.htm" />
    <content url="hcl_option_include.htm" />
    <content url="hcl_option_sys_include.htm" />
    <content url="hcl_option_keep_symbol.htm" />
    <content url="hcl_option_link_library.htm" />
    <content url="hcl_option_library_directory.htm" />
    <content url="hcl_option_no_standard_includes.htm" />
    <content url="hcl_option_no_standard_libraries.htm" />
    <content url="msp430_hcl_option_hardware_multiply.htm" />
    <content url="msp430_hcl_option_short_doubles.htm" />
    <content url="hcl_option_map.htm" />
    <content url="hcl_option_dry_run.htm" />
    <content url="hcl_option_output_file.htm" />
    <content url="hcl_option_optimize.htm" />
    <content url="hcl_option_set_code_section_name.htm" />
    <content url="hcl_option_set_data_section_name.htm" />
    <content url="hcl_option_set_const_section_name.htm" />
    <content url="hcl_option_set_vector_section_name.htm" />
    <content url="hcl_option_set_zeroed_section_name.htm" />
    <content url="hcl_option_no_startup_code.htm" />
    <content url="hcl_option_set_startup_code.htm" />
    <content url="hcl_option_verbose.htm" />
    <content url="hcl_option_version.htm" />
    <content url="hcl_option_suppress_warnings.htm" />
    <content url="hcl_option_warnings_are_errors.htm" />
    <content url="hcl_option_pass_to_assembler.htm" />
    <content url="hcl_option_pass_to_compiler.htm" />
    <content url="hcl_option_pass_to_linker.htm" />
   </content>
   <content quicklink="Lin&amp;ker Reference" url="hld.htm" >
    <content url="hld_command_line_syntax.htm" />
    <content url="hld_option_define_symbol.htm" />
    <content url="hld_option_output_format.htm" />
    <content url="hld_option_checksum_sections.htm" />
    <content url="hld_option_no_standard_libraries.htm" />
    <content url="hld_option_link_library.htm" />
    <content url="hld_option_library_directory.htm" />
    <content url="hld_option_map.htm" />
    <content url="hld_option_output_file.htm" />
    <content url="hld_option_optimize.htm" />
    <content url="hld_option_suppress_warnings.htm" />
    <content url="hld_option_locate_sections.htm" />
    <content url="hld_option_warnings_are_errors.htm" />
    <content url="hld_option_verbose.htm" />
    <content url="hld_option_version.htm" />
   </content>
   <content url="hex.htm" >
    <content url="hex_option_output_format.htm" />
    <content url="hex_option_output_prefix.htm" />
    <content url="hex_option_extract_section.htm" />
    <content url="hex_option_version.htm" />
    <content url="hex_option_bus_width.htm" />
   </content>
   <content url="har.htm" >
    <content url="har_creating_archive.htm" />
    <content url="har_replacing_members.htm" />
    <content url="har_removing_members.htm" />
    <content url="har_listing_archive.htm" />
   </content>
  </content>
  <content title="Essential Information" >
   <content url="msp430_release_notes.htm" />
   <content url="license.htm" />
  </content>
 </contents>
 <index>
  <discard regex="\b\d+\b|\b0[0123456789abcdef]+h\b|\b0x[0123456789abcdef]+\b" />
  <discard regex="\band\b|\bor\b|\bthe\b|\bthen\b|\bif\b|\ba\b|\bto\b|\bwith\b" />
 </index>
</help>
